## python-ironic-inspector-client 4.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=2.9.0,>=2.8.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-ironic-inspector-client (4.3.0-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Sep 2020 20:31:06 +0000

python-ironic-inspector-client (4.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/rules: Run unit tests with unittest.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:25:02 -0400

python-ironic-inspector-client (4.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 11:52:00 +0000

python-ironic-inspector-client (4.1.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/control: Dephelper-compat to 12.

  [ Corey Bryant ]
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 Jun 2020 16:23:20 -0400

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-yaml (>= 3.12),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ironic-inspector-client
Homepage: https://launchpad.net/python-ironic-inspector-client
Testsuite: autopkgtest-pkg-python

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ironic_inspector_client

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
	@echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector_client*" -m unittest discover ironic_inspector_client.test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

## python-ironic-inspector-client 4.4.0

=== debian/changelog ===
python-ironic-inspector-client (4.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2021 10:29:48 +0100

python-ironic-inspector-client (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 13:43:55 +0200

python-ironic-inspector-client (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:27:18 +0200

python-ironic-inspector-client (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 22:54:28 +0200

python-ironic-inspector-client (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 21:42:29 +0200

python-ironic-inspector-client (3.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:26:11 +0200

python-ironic-inspector-client (3.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 17:42:21 +0200

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-doc8,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client.git
Homepage: https://launchpad.net/python-ironic-inspector-client

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$i -m coverage run --branch --include "ironic_inspector_client*" -m unittest discover ironic_inspector_client.test ; \
	done
endif

## python-ironic-inspector-client 4.5.0

=== debian/changelog ===
python-ironic-inspector-client (4.5.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 00:21:10 +0000

python-ironic-inspector-client (4.5.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Mar 2021 14:14:52 +0000

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-yaml (>= 3.13),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-inspector-client
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-inspector-client
Homepage: https://launchpad.net/python-ironic-inspector-client
Testsuite: autopkgtest-pkg-python

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 3.12.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

## python-ironic-inspector-client 4.6.0

=== debian/changelog ===
python-ironic-inspector-client (4.6.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 19:56:18 +0000

python-ironic-inspector-client (4.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:03:16 -0400

python-ironic-inspector-client (4.5.0-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr, python2 build depends.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:27 +0000

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,6 @@
  debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 52~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

## python-ironic-inspector-client 4.7.1

=== debian/changelog ===
python-ironic-inspector-client (4.7.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 13:07:09 -0500

python-ironic-inspector-client (4.7.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Adjust tests path based on new upstream changes.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 12:11:53 -0500

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,32 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 52~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-cliff (>= 2.8.0),
- python3-coverage (>= 4.0),
+ python3-coverage,
  python3-fixtures (>= 3.0.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-mock (>= 2.0.0),
  python3-openstackclient (>= 3.12.0),
  python3-openstackdocstheme (>= 2.2.0),
- python3-osc-lib (>= 1.8.0),
+ python3-osc-lib (>= 2.1.0),
  python3-oslo.concurrency (>= 3.25.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.utils (>= 3.33.0),
- python3-reno (>= 2.5.0),
+ python3-reno,
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
+ python3-stestr (>= 2.0.0),
  python3-yaml (>= 3.13),
 Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ironic-inspector-client
@@ -50,7 +51,7 @@
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),
- python3-yaml (>= 3.12),
+ python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},
 Description: client for Ironic Inspector - Python 3.x

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-ironic-inspector-client/ python-ironic-inspector-client-(\d.*)\.tar\.gz

## python-ironic-inspector-client 4.8.0

=== debian/changelog ===
python-ironic-inspector-client (4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:16:54 +0200

python-ironic-inspector-client (4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 13:10:50 +0200

python-ironic-inspector-client (4.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:49:29 +0100

python-ironic-inspector-client (4.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Build-depends on stestr, and switch to pkgos-dh_auto_test.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 15:45:09 +0100

python-ironic-inspector-client (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:37:27 +0200

python-ironic-inspector-client (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 11:08:32 +0200

python-ironic-inspector-client (4.5.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:06:35 +0200

python-ironic-inspector-client (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 13:00:59 +0100

=== debian/control ===
Source: python-ironic-inspector-client
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-doc8,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.concurrency,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-ironic-inspector-client.git
Homepage: https://launchpad.net/python-ironic-inspector-client

Package: python3-ironic-inspector-client
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client for Ironic Inspector - Python 3.x
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic_inspector_client\.tests.*'
endif

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-ironic-inspector-client/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-ironic-inspector-client 4.9.0

=== debian/changelog ===
python-ironic-inspector-client (4.9.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Feb 2023 16:10:29 +0000

python-ironic-inspector-client (4.9.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 13:15:47 -0500

python-ironic-inspector-client (4.8.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:54:56 -0400

## python-ironic-inspector-client 5.0.0

=== debian/changelog ===
python-ironic-inspector-client (5.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Sep 2023 15:43:29 +0000

python-ironic-inspector-client (5.0.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 15:50:02 -0400

## python-ironic-inspector-client 5.1.0

=== requirements.txt ===
--- 
+++ 
@@ -4,5 +4,5 @@
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 keystoneauth1>=3.4.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-PyYAML>=3.12 # MIT
+PyYAML>=3.13 # MIT
 requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-ironic-inspector-client (5.1.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 18:31:01 +0000

python-ironic-inspector-client (5.1.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 14:04:09 +0000

## python-ironic-inspector-client 5.2.0

=== debian/changelog ===
python-ironic-inspector-client (5.2.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090514).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:34:44 +0100

python-ironic-inspector-client (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:09:37 +0200

python-ironic-inspector-client (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 15:38:16 +0200

python-ironic-inspector-client (5.1.0-4) unstable; urgency=medium

  * Remove extraneous dependency on python3-mock (Closes: #1071966).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 12:58:36 +0200

python-ironic-inspector-client (5.1.0-3) unstable; urgency=medium

  * Remove extraneous dependency on python3-six (Closes: #1068971).

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 11:29:07 +0200

python-ironic-inspector-client (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:22:36 +0200

python-ironic-inspector-client (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 17:01:18 +0100

python-ironic-inspector-client (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:22:06 +0200

python-ironic-inspector-client (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Sep 2023 15:12:41 +0200

python-ironic-inspector-client (4.9.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045954).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:04:27 +0200

python-ironic-inspector-client (4.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:15:03 +0200

python-ironic-inspector-client (4.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:03:30 +0100

## python-ironic-inspector-client 5.3.0

=== debian/changelog ===
python-ironic-inspector-client (5.3.0-4) unstable; urgency=medium

  * Add neutralize-broken-tests.patch (Closes: #1101862).

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 09:45:22 +0200

python-ironic-inspector-client (5.3.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:58:43 +0100

python-ironic-inspector-client (5.3.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:17:47 +0100

python-ironic-inspector-client (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:13:31 +0100

## python-ironic-inspector-client 5.3.1

=== debian/changelog ===
python-ironic-inspector-client (5.3.1-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased neutralize-broken-tests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Tue, 23 Sep 2025 10:55:38 +0000

## python-ironic-inspector-client 5.4.0

=== requirements.txt ===
cliff>=2.8.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
pbr>=2.0.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-ironic-inspector-client (5.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:24:33 +0200

python-ironic-inspector-client (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed neutralize-broken-tests.patch.
  * Add install-all-files.patch.
  * Add python3-ironic-inspector-client.install.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 19:06:28 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-fixtures,
  python3-hacking,
  python3-keystoneauth1,
- python3-mock,
  python3-openstackclient,
  python3-openstackdocstheme,
  python3-osc-lib,
@@ -26,7 +25,6 @@
  python3-oslo.utils,
  python3-requests,
  python3-requests-mock,
- python3-six,
  python3-sphinxcontrib.apidoc,
  python3-stestr,
 Standards-Version: 4.4.1
@@ -43,7 +41,6 @@
  python3-oslo.utils,
  python3-pbr,
  python3-requests,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: client for Ironic Inspector - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-ironic-inspector-client refs/tags/(\d[brc\d\.]+)
